__gnu_pbds::detail::ranged_probe_fn< Key, Hash_Fn, _Alloc, Comb_Probe_Fn, Probe_Fn, true > Class Template Reference

Inherits Hash_Fn, Comb_Probe_Fn, and Probe_Fn.

## Protected Types

typedef Comb_Probe_Fn | comb_probe_fn_base
typedef std::pair< size_type, size_type > | comp_hash
typedef Hash_Fn | hash_fn_base
typedef _Alloc::template rebind< Key >::other | key_allocator
typedef key_allocator::const_reference | key_const_reference
typedef Probe_Fn | probe_fn_base
typedef _Alloc::size_type | size_type

## Protected Member Functions

| ranged_probe_fn (size_type)
| ranged_probe_fn (size_type, const Hash_Fn &)
| ranged_probe_fn (size_type, const Hash_Fn &, const Comb_Probe_Fn &)
| ranged_probe_fn (size_type, const Hash_Fn &, const Comb_Probe_Fn &, const Probe_Fn &)
void | notify_resized (size_type)
comp_hash | operator() (key_const_reference) const
size_type | operator() (key_const_reference, size_type, size_type) const
size_type | operator() (key_const_reference, size_type) const
void | swap (ranged_probe_fn< Key, Hash_Fn, _Alloc, Comb_Probe_Fn, Probe_Fn, true > &)

## Detailed Description

### template<typename Key, typename Hash_Fn, typename _Alloc, typename Comb_Probe_Fn, typename Probe_Fn>
class __gnu_pbds::detail::ranged_probe_fn< Key, Hash_Fn, _Alloc, Comb_Probe_Fn, Probe_Fn, true >

Specialization 2- The client supplies a probe function and a ranged probe function, and requests that hash values not be stored.

Definition at line 176 of file ranged_probe_fn.hpp.

The documentation for this class was generated from the following file:

- ranged_probe_fn.hpp